gora-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alfonso Nishikawa (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (GORA-375) Upgrade HBase to 0.98
Date Tue, 21 Oct 2014 19:38:34 GMT

    [ https://issues.apache.org/jira/browse/GORA-375?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14178912#comment-14178912
] 

Alfonso Nishikawa commented on GORA-375:
----------------------------------------

Hi!
0.98 is deprecated or not supported? I see contradictory information :P

In my oppinion, if 0.98 is not supported in Hadoop 1, then HBase 0.96 is the most compatible
version and to upgrade to 0.98  we should make some type of fork... as everything is getting
forked because of Hadoop.
If 0.98 is "only" deprecated and works with Hadoop 1, another interesting questions to answer
first are:
Can a 0.96 client connect to a 0.98 server?
Can a 0.98 client connect to a 0.96 server using only "0.96" methods?
Anyone knows?

> Upgrade HBase to 0.98
> ---------------------
>
>                 Key: GORA-375
>                 URL: https://issues.apache.org/jira/browse/GORA-375
>             Project: Apache Gora
>          Issue Type: Improvement
>          Components: gora-hbase
>    Affects Versions: 0.5
>            Reporter: Ted Yu
>            Assignee: Talat UYARER
>              Labels: hbase
>             Fix For: 0.6
>
>         Attachments: GORA-375-v2.patch, GORA-375.patch, org.apache.gora.avro.mapreduce.TestDataFileAvroStoreMapReduce.txt
>
>
> HBase 0.98 release is the current stable release.
> Gora should be built based on HBase 0.98.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message